.teamleaderboard.noLogin {
    padding: 15px 15px 0;
}

.teamleaderboard .headerContainer {
    display: flex;
    flex-direction: column;
}

.teamleaderboard .headerContainer .header {
    display: flex;
    margin-bottom: 15px;
}

.teamleaderboard .headerContainer .header .headerLeft {
    display: flex;
    width: 85%;
    margin-right: 5%;
    align-items: center;
}

.teamleaderboard .headerContainer .header .headerRight {
    margin-right: 35px;
}

.teamleaderboard .leaderboard {
    margin-inline: 35px;
}

.teamleaderboard .leaderboard .nameAndIcon {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.teamleaderboard .leaderboard .nameAndIcon .badge {
    display: none;
}

.teamleaderboard .leaderboard .nameAndIcon .badge.show {
    display: block;
    margin-left: 40px;
    width: 49px;
    height: 45px;
    background-size: 45px 42px;
    background-repeat: no-repeat;
    background-position: center;
    background-color: transparent;
}

.teamleaderboard .leaderboard .support {
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 32px;
    letter-spacing: 0.3px;
    color: #0d4962;
    border-radius: 8px;
    cursor: pointer;
    background-color: transparent;
    border: 1px solid #0d4962;
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 150px;
    margin-left: 33%;
}

.teamleaderboard .leaderboard .nameAndIcon .teamName,
.teamleaderboard .leaderboard .rank,
.teamleaderboard .leaderboard .metric {
    font-family: "Metropolis Regular";
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.18px;
    margin-left: 24px;
    color: #0d4962;
}

.teamleaderboard .leaderboard .rank,
.teamleaderboard .leaderboard .metric {
    color: #333;
}

.teamleaderboard .leaderboard .rank {
    margin-left: 17px;
}

.teamleaderboard .leaderboard .metric {
    margin-left: 0;
    margin-right: 10px;
}

.teamleaderboard .leaderboard .list .table th:nth-last-child(1) {
    font-family: "Metropolis Semi Bold";
    font-size: 18px;
    line-height: 16px;
    letter-spacing: 0.18px;
    text-align: center;
}

.teamleaderboard .leaderboard .list .table th:nth-child(1),
.teamleaderboard .leaderboard .list .table td:nth-child(1) {
    width: 70px;
    padding: 24px 12px;
}

.teamleaderboard .leaderboard .list .table .metrics {
    display: flex;
    justify-content: center;
    padding: 26px;
}

.teamleaderboard .headerContainer .header .headerLeft .teamImage {
    min-width: 160px;
    min-height: 160px;
    border-radius: 50%;
    background-size: cover;
    background-repeat: no-repeat;
    align-self: center;
    margin-right: 24px;
}

.teamleaderboard .headerContainer .header .headerLeft.textContainer {
    flex-grow: 1;
    padding-left: 10px;
}

.teamleaderboard .headerContainer .header .headerLeft .textContainer .title {
    font-family: "Metropolis Bold";
    font-size: 28px;
    letter-spacing: 0.28px;
    color: #0d4962;
    margin-bottom: 8px;
}

.teamleaderboard .headerContainer .header .headerLeft .textContainer .description {
    font-family: "Metropolis Regular";
    font-size: 20px;
    letter-spacing: 0.2px;
    margin-bottom: 8px;
}

.teamleaderboard .headerContainer .header .headerLeft .textContainer .iconAndTextWrapper {
    display: flex;
    flex-direction: column;
}

.teamleaderboard .rankingAndFilterContainer {
    display: flex;
    position: absolute;
    left: 50%;
    justify-content: end;
    width: 47%;
    align-items: center;
    height: 36px;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: 20px;
    background-color: #0d4962;
    width: min-content;
    border-radius: 4px;
    position: relative;
    padding-right: 15px;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper .filter {
    background-color: #0d4962;
    border: 1px solid #0d4962;
    border-radius: 5px;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper .arrowIcon {
    position: absolute;
    left: 170px;
    width: 10px;
    height: 10px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/dropdown_icon_arrow_filled_white.svg);
    background-size: 10px 10px;
    pointer-events: none;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper .filter .gvinput .inputContainer {
    margin: 0;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper .filter .gvinput .inputContainer select {
    font-family: "Metropolis Bold";
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.18px;
    color: rgba(255, 255, 255, 0.87);
    background-color: #0d4962;
    border: none;
    text-align: center;
    padding-inline: 5px 10px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}

.teamleaderboard
    .rankingAndFilterContainer
    .filterWrapper
    .filter
    .gvinput
    .inputContainer
    select:focus {
    outline: none;
}

.teamleaderboard .rankingAndFilterContainer .filterWrapper .filter .gvinput .input-title {
    display: none;
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText,
.teamleaderboard .iconAndText {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-block: 15px;
}

.teamleaderboard .iconAndText.hide,
.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText.hide,
.teamleaderboard .rankingAndFilterContainer .iconAndText.hide {
    display: none;
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText {
    justify-content: start;
    margin-top: 8px;
    max-width: fit-content;
    margin-right: 42px;
}
.popupmessage .modal-body {
    padding: 16px;
    align-content: flex-start;
}

.popupmessage .modalContainer .title {
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 16px;
    letter-spacing: 0.2px;
    text-align: left;
    width: 100%;
    color: #0d4962;
    padding-block: 8px;
    margin-bottom: 0px;
}

.popupmessage .modalContainer .info {
    font-family: "Metropolis Medium";
    font-size: 18px;
    line-height: 21px;
    letter-spacing: 0.18px;
    color: #333;
    text-align: justify;
    padding-bottom: 0 10px;
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .text {
    font-family: "Metropolis Regular";
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.18px;
    color: #333;
    padding-left: 10px;
}
.teamleaderboard .iconAndText .text {
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 16px;
    letter-spacing: 0.2px;
    color: #0d4962;
    padding-left: 10px;
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .moneyIcon {
    width: 23px;
    height: 24px;
    background-size: cover;
    background-repeat: no-repeat;
}
.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .positionIcon,
.teamleaderboard .iconAndText .rankIcon {
    width: 27px;
    height: 27px;
    background-size: cover;
    background-repeat: no-repeat;
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .moneyIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_blue.svg);
}

.teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .positionIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/podium_icon_blue.png);
}

.teamleaderboard .iconAndText .rankIcon {
    width: 32px;
    height: 32px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/rank_icon_blue_v1.svg);
}

.table th {
    padding: 1.3rem;
}

/* mobile */
@media (max-width: 767px) {
    .teamleaderboard .leaderboard {
        margin-inline: 10px;
    }
    .teamleaderboard .headerContainer .header .headerLeft .textContainer .title {
        font-size: 18px;
        line-height: 20px;
        letter-spacing: 0.27px;
    }
    .teamleaderboard .headerContainer .header .headerLeft .textContainer .description {
        font-size: 17px;
        letter-spacing: 0.17px;
    }
    .teamleaderboard .headerContainer .header .headerLeft .teamImage {
        min-width: 60px;
        min-height: 60px;
        margin-right: 10px;
    }
    .teamleaderboard
        .headerContainer
        .header
        .headerLeft
        .textContainer
        .iconAndTextWrapper
        .iconAndText {
        text-wrap: nowrap;
        margin-right: 20px;
    }
    .teamleaderboard
        .headerContainer
        .header
        .headerLeft
        .textContainer
        .iconAndTextWrapper
        .iconAndText
        .text {
        font-family: "Metropolis Regular";
        font-size: 17px;
        letter-spacing: 0.17px;
        padding-left: 5px;
    }
    .teamleaderboard .leaderboard .list .searchContainer.short {
        width: 90%;
    }
    .teamleaderboard .rankingAndFilterContainer .filterWrapper .arrowIcon {
        position: absolute;
        left: 0px;
        width: 24px;
        height: 24px;
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/filter_icon_blue_BO_v1.svg);
        background-size: 24px;
    }
    .teamleaderboard
        .rankingAndFilterContainer
        .filterWrapper
        .filter
        .gvinput
        .inputContainer
        select {
        position: absolute;
        top: -11px;
        width: 24px;
        background-color: transparent;
        color: rgba(255, 255, 255, 0.87);
        padding-inline: 0px;
    }
    .teamleaderboard .rankingAndFilterContainer {
        left: 90%;
        width: 0;
    }
    .teamleaderboard .rankingAndFilterContainer .filterWrapper {
        margin-left: 0;
        padding-right: 0;
    }
    .teamleaderboard .rankingAndFilterContainer .filterWrapper .filter {
        border: 0;
    }
    .teamleaderboard .rankingAndFilterContainer .filterWrapper .filter .gvinput .inputContainer {
        width: 0;
    }
    .teamleaderboard .headerContainer .header .headerLeft {
        display: flex;
        width: 100%;
        margin-right: 0;
        padding-inline: 10px;
    }
    .teamleaderboard .leaderboard .support {
        border-radius: 8px;
        cursor: pointer;
        background-color: transparent;
        border: 1px solid #0d4962;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        left: 50%;
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_blue.svg);
        background-position: center;
        background-repeat: no-repeat;
        height: 32px;
        width: 36px;
        background-size: 18px 20px;
    }
    .teamleaderboard .leaderboard .nameAndIcon .teamName {
        margin-left: 8px;
        width: 80%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .teamleaderboard .leaderboard .rank {
        margin-left: 17px;
    }
    .table th {
        padding: 10px 5px;
    }
    .teamleaderboard .leaderboard .list .table th:nth-child(1) {
        padding-left: 5px;
    }
    .teamleaderboard .leaderboard .list .table th:nth-last-child(1) {
        padding-right: 5px;
    }
    .teamleaderboard .leaderboard .list .table .metrics {
        padding: 26px 0px;
    }
    .teamleaderboard .leaderboard .metric {
        margin-right: 0;
    }

    /* DARK MODE mobile */
    .dark .teamleaderboard .leaderboard .support {
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_white.svg);
    }
    .dark .teamleaderboard .leaderboard .support.highlight {
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_blue.svg);
    }
    .dark .teamleaderboard .rankingAndFilterContainer .filterWrapper .arrowIcon {
        position: absolute;
        left: 0px;
        width: 24px;
        height: 24px;
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/filter_icon_white_BO_v1.svg);
        background-size: 24px;
    }
    .dark
        .teamleaderboard
        .rankingAndFilterContainer
        .filterWrapper
        .filter
        .gvinput
        .inputContainer
        select {
        color: #031821;
    }
}

/* iPad */
@media (min-width: 768px) and (max-width: 1025px) {
    .admin .main-container {
        padding-left: 0;
        padding-inline: 30px;
    }
    .teamleaderboard .leaderboard {
        margin-inline: 0;
    }
    .teamleaderboard .rankingAndFilterContainer {
        width: 46%;
    }
    .teamleaderboard .headerContainer .header .headerLeft {
        margin-right: 0;
        width: 100%;
    }
    .teamleaderboard .headerContainer .header .headerLeft .teamImage {
        min-width: 120px;
        min-height: 120px;
    }
    .teamleaderboard .headerContainer .header .headerLeft .textContainer .title {
        font-size: 24px;
        letter-spacing: 0.24px;
    }
    .teamleaderboard .headerContainer .header .headerLeft .textContainer .description {
        font-size: 18px;
        letter-spacing: 0.18px;
    }
    .teamleaderboard .rankingAndFilterContainer .filterWrapper {
        margin-left: 45px;
    }
    .teamleaderboard .leaderboard .list .table th:nth-last-child(1) {
        text-align: end;
    }
    .teamleaderboard .leaderboard .list .table .metrics {
        justify-content: flex-end;
        padding: 26px 0px;
    }
    .teamleaderboard .leaderboard .support {
        border-radius: 8px;
        cursor: pointer;
        background-color: transparent;
        border: 1px solid #0d4962;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        left: 50%;
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_blue.svg);
        background-position: center;
        background-repeat: no-repeat;
        height: 45px;
        width: 50px;
        background-size: 32px 34px;
    }

    /* DARK MODE iPad */
    .dark .teamleaderboard .leaderboard .support {
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_white.svg);
    }
    .dark .teamleaderboard .leaderboard .support.highlight {
        background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_blue.svg);
    }
}

/* DARK MODE */
.dark
    .teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .text,
.dark .teamleaderboard .iconAndText .text,
.dark .teamleaderboard .headerContainer .header .headerLeft .textContainer .title,
.dark .teamleaderboard .leaderboard .nameAndIcon .teamName,
.dark .teamleaderboard .leaderboard .rank,
.dark .teamleaderboard .leaderboard .metric,
.dark .teamleaderboard .headerContainer .header .headerLeft .textContainer .description,
.dark .popupmessage .modalContainer .title {
    color: rgba(255, 255, 255, 0.87);
}
.dark
    .teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .moneyIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/support_icon_white.svg);
}
.dark
    .teamleaderboard
    .headerContainer
    .header
    .headerLeft
    .textContainer
    .iconAndTextWrapper
    .iconAndText
    .positionIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/podium_icon_white.png);
}
.dark .teamleaderboard .iconAndText .rankIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/rank_icon_white_v1.svg);
}
.dark .teamleaderboard .leaderboard .support {
    color: rgba(255, 255, 255, 0.87);
    border-color: rgba(255, 255, 255, 0.87);
}
.dark .teamleaderboard .leaderboard .support.highlight {
    color: #0d4962;
    border-color: #0d4962;
}
